* {
    font-family:verdana;
}

body{
    background-color:#111122;
    color:white;
    margin:0;
    overflow-x: hidden;
}
div {
    border:2px solid #FFFFFF;
}

button, input, select {
    background-color:#2d2d57;
    color:#ffffff;
    border:2px solid #ffffff;
}

#inventoryLabel {
    margin:2px;
    text-align:center;
}

#sidebar,#inventoryContainer {
    height:100vh;
    width:25%;
    background-color:#1a1a33;
}

#sidebar{
    padding:3px;
}

#inventoryContainer{
    padding:none;
    overflow-y:scroll;
    overflow-x:visible;
}

#mineContainer {
    position: relative; /* enable absolute positioning of children */
    padding: 5px;
    height: 100%;
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: none;
}

#mineButton {
    position: absolute;
    left: 5px;    /* adjust horizontal offset */
    
    /*transform: translateY(-50%);*/
    font-size: 18px;
    margin: 0;
}


#main {
    border:none;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

#mineText,#mineRarity,#mineTier {
    /*border:2px solid #FF0000;*/
    vertical-align:center;
    text-align:center;
    margin:0px;
    font-size:32px;
    /*height:100%;*/
}

#mineRarity, #eventRarity {
    text-shadow:0px 0px 5px white;
}

#mineText{
    font-size:54px;
}

#topbar {
    position: relative; 
    height: 20px;
    border: none;
    background-color: #1f1f3b;
    /*box-shadow: 5px 5px 14px white;*/
    padding: 3px;
    display: flex;
    align-items: center;
}

#mineStopRarity, #serverMessageRarity {
    width: 150px;
    flex-shrink: 0;
    position: relative;
    z-index: 2; 
}

#serverMessageRarity {
    margin-left:auto;
    text-align:right;
}

#spawnMessage {
    position: absolute;
    left: 50%;
    text-align:center;
    transform: translateX(-50%);
    color: white;
    margin: 0;
    z-index: 1;
    pointer-events: none;
    white-space:nowrap;
}

#sidebar {
    padding: 5px;
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow-y: auto;
}

#messages {
    flex-grow: 1;
    overflow-y: auto;
}

#messages p {
    margin: 0;
    padding: none;
    line-height: 1; /* optional, for tighter lines */
}

#blocksMined {
    margin-top:0;
    /*align-self:flex-start;*/
}

#flashEffect {
    position:fixed;
    z-index:99;
    width:100%;
    height:100%;
    top:0;
    left:0;
    pointer-events: none;
}

#inventorySearch{
    width:100%;
}

.inventoryEntry {
    width: 100%;
    height: 20px;
    border: none;
    margin: 0;
    padding-left: 3px;
    justify-content: center;
}

.inventoryEntry p {
    font-size:14px;
    margin: 0;
    padding: 0;
    /*vertical-align:center;*/
    /*-webkit-text-stroke:0.5px black;*/
}

.inventoryEntry:hover{
    filter:brightness(90%);
    box-shadow: 0px 0px 12px black;
    text-shadow:0px 0px 5px black;
}

@keyframes flashAnimation{
    0% {opacity:0.5}
    100%{opacity:0}
}